**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/23.3/jobs/retrieve-job-status.md

# Retrieve Job Status



After submitting a request, you can query your Vault to determine the status of the request. To do this, you must have a valid `job_id` for a job previously requested through the API.

Example Jobs:

* Binder Export

* Import Submission

* Export Submission

* Create EDL

* Deploy Package

* Deep Copy Object Record

* Cascade Delete Object Record

* Export Documents

<Aside>The [Job Status](/vault-api/api-reference/23.3/jobs/retrieve-job-status) endpoint can only be requested
once every 10 seconds for each `job_id`. When this limit is reached, Vault returns
`API_LIMIT_EXCEEDED`.

</Aside>
<Endpoint path="/api/{version}/services/jobs/{job_id}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{job_id}` | The ID of the job, returned from the original job request. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/services/jobs/1201

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "OK",
  "data": {
    "id": 1201,
    "status": "SUCCESS",
    "method": "POST",
    "links": [
      {
        "rel": "self",
        "href": "/api/v15.0/services/jobs/1601",
        "method": "GET",
        "accept": "application/json"
      }
    ],
    "created_by": 44533,
    "created_date": "2016-04-20T18:14:42.000Z",
    "run_start_date": "2016-04-20T18:14:43.000Z",
    "run_end_date": "2016-04-20T18:14:44.000Z"
  }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:



---

**Previous:** [Jobs](/commercial/vault-api/api-reference/23.3/jobs)  
**Next:** [Retrieve SDK Job Tasks](/commercial/vault-api/api-reference/23.3/jobs/retrieve-sdk-job-tasks)